## qca-cyrus-sasl 2.0.0

=== CMakeLists.txt ===
SET(QCA_SASL_SOURCES qca-cyrus-sasl.cpp)

INCLUDE_DIRECTORIES( ${SASL2_INCLUDE_DIR} )

MY_AUTOMOC( QCA_SASL_SOURCES )

ADD_LIBRARY(qca-cyrus-sasl SHARED ${QCA_SASL_SOURCES})

TARGET_LINK_LIBRARIES(qca-cyrus-sasl ${QT_QTCORE_LIBRARY} qca ${SASL2_LIBRARIES})

INSTALL(TARGETS qca-cyrus-sasl LIBRARY DESTINATION ${qca_PLUGINSDIR})

## qca-cyrus-sasl 2.0.0-beta3

=== debian/changelog ===
qca-cyrus-sasl (2.0.0-beta3-2) unstable; urgency=low

  * Copyright file update to conform the DEP-5.
  * Watch file added.

 -- Vsevolod Velichko <torkvemada@nigma.ru>  Tue, 03 May 2011 22:17:05 +0400

qca-cyrus-sasl (2.0.0-beta3-1) unstable; urgency=low

  * Initial release (Closes: 464863)

 -- Vsevolod Velichko <torkvemada@nigma.ru>  Sun, 09 Jan 2011 15:58:02 +0300

=== debian/control ===
Source: qca-cyrus-sasl
Priority: extra
Maintainer: Vsevolod Velichko <torkvemada@nigma.ru>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, libqca2-dev, libsasl2-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://delta.affinix.com/qca/
#Vcs-Git: git://git.debian.org/collab-maint/qca-cyrus-sasl.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qca-cyrus-sasl.git;a=summary

Package: libqca2-plugin-cyrus-sasl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QCA Cyrus SASL plugin for libqca2
 This plugin provides Cyrus SASL encryption through the libsasl2
 for Qt Cryptographic Architecture (QCA).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	./configure

override_dh_auto_clean:
	([ -f Makefile ] && make clean) || /bin/true
	([ -f Makefile ] && make distclean) || /bin/true
	rm -rf lib ./conf.log conf.pri

%:
	dh $@

=== debian/watch ===
version=3
    http://delta.affinix.com/download/qca/2.0/plugins/ \
    qca-cyrus-sasl-((?:[0-9\.-]|beta|alpha|rc)+)\.tar\.(?:bz2|gz|xz|lzma) \
    debian uupdate
